rte_flow_action_count(3)

NAME
rte_flow_action_count

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t id

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice

RTE_FLOW_ACTION_TYPE_COUNT

Adds a counter action to a matched flow.

If more than one count action is specified in a single flow rule, then each action must specify a unique ID.

Counters can be retrieved and reset through rte_flow_query(), see struct rte_flow_query_count.

For ports within the same switch domain then the counter ID namespace extends to all ports within that switch domain.

Definition at line 3450 of file rte_flow.h.

Field Documentation

  uint32_t id
Counter ID.

Definition at line 3451 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.